## unicrypto 0.0.10

=== Makefile ===
clean:
	rm -f -r build/
	rm -f -r dist/
	rm -f -r *.egg-info
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f  {} +

publish: clean
	python3 setup.py sdist bdist_wheel
	python3 -m twine upload dist/*

rebuild: clean
	python3 setup.py install

build:
	python3 setup.py install

=== debian/changelog ===
unicrypto (0.0.10-2) unstable; urgency=medium

  * Source-only upload to allow testing migration

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Thu, 23 May 2024 23:53:50 -0300

unicrypto (0.0.10-1) unstable; urgency=medium

  * Initial release. (Closes: #1067645)

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Fri, 22 Mar 2024 19:32:45 -0300

=== debian/control ===
Source: unicrypto
Section: python
Priority: optional
Maintainer: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-all,
               python3-cryptography,
               python3-mbedtls,
               python3-pycryptodome,
               python3-pytest,
               python3-setuptools
Standards-Version: 4.6.2
Homepage: https://github.com/skelsec/unicrypto
Vcs-Browser: https://salsa.debian.org/pkg-security-team/unicrypto
Vcs-Git: https://salsa.debian.org/pkg-security-team/unicrypto.git
Testsuite: autopkgtest-pkg-pybuild

Package: python3-unicrypto
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: Unified interface for cryptographic libraries
 Unicrypto is a library that provides a unified interface to a variety of
 cryptographic algorithms. With it, developers can easily integrate encryption
 into their applications, ensuring the security of data and communications.
 .
 The module also allows developers to have access to a wide range of
 encryption algorithms, including AES, DES, RC4 and TDES, among others.
 This library simplifies the process of implementing security in applications
 by providing a single consistent API for different algorithms, regardless of
 the underlying library used.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export PYBUILD_NAME=unicrypto

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
https://github.com/skelsec/unicrypto/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
